﻿using ThinkGeo.MapSuite.Core;

namespace ExtendMapSuiteExploringLayersWeb
{
    // This is our MapShape and it will be the single unit in our layer.
    public class MapShape
    {
        private Feature feature;
        private ZoomLevelSet zoomLevelSet;

        public MapShape()
            : this(new Feature())
        {
        }

        // Let's use this as a handy constructor if you already have
        // a feature or want to create one inline.
        public MapShape(Feature feature)
        {
            this.feature = feature;
            zoomLevelSet = new ZoomLevelSet();
        }

        //  This is the feature property, pretty simple.
        public Feature Feature
        {
            get { return feature; }
            set { feature = value; }
        }

        // This is the Zoom Level Set.  This high level object has all of
        // the logic in it for zoom levels, drawing and everything.
        public ZoomLevelSet ZoomLevels
        {
            get { return zoomLevelSet; }
            set { zoomLevelSet = value; }
        }
    }
}
