﻿using System.Collections.ObjectModel;
using ThinkGeo.MapSuite.Core;

namespace ExtendMapSuiteExploringLayersWeb
{
    public class WatermarkAdornmentLayer : AdornmentLayer
    {
        private string watermarkText = string.Empty;

        public WatermarkAdornmentLayer()
            : this("Watermark")
        { }

        public WatermarkAdornmentLayer(string watermarkText)
            : base()
        {
            this.watermarkText = watermarkText;
        }

        public string WatermarkText
        {
            get { return watermarkText; }
            set { watermarkText = value; }
        }

        protected override void DrawCore(GeoCanvas canvas, Collection<SimpleCandidate> labelsInAllLayers)
        {
            GeoFont font = new GeoFont("Arial", 12);
            GeoBrush brush = new GeoSolidBrush(GeoColor.StandardColors.Pink);
            Collection<ScreenPointF> textPath = new Collection<ScreenPointF>();

            int interval = 100;
            if (canvas.Width > interval)
            {
                for (int x = 1; x < canvas.Width / interval; x++)
                {
                    for (int y = 1; y < canvas.Height / interval; y++)
                    {
                        textPath.Add(new ScreenPointF(x * interval, y * interval));
                    }
                }
            }
            else
            {
                textPath.Add(new ScreenPointF(canvas.Width / 2, canvas.Height / 2));
            }

            canvas.DrawText(watermarkText, font, brush, textPath, DrawingLevel.LevelOne);
        }
    }
}
